Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | List of all members
Ipopt::ConvergenceCheck Class Referenceabstract

Base class for checking the algorithm termination criteria. More...

`#include <IpConvCheck.hpp>`

Inheritance diagram for Ipopt::ConvergenceCheck:
[legend]

## Public Types
enum | ConvergenceStatus { CONTINUE, CONVERGED, CONVERGED_TO_ACCEPTABLE_POINT, MAXITER_EXCEEDED, CPUTIME_EXCEEDED, DIVERGING, USER_STOP, FAILED }
| Convergence return enum. More...

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| overloaded from AlgorithmStrategyObject More...
virtual ConvergenceStatus | CheckConvergence (bool call_intermediate_callback=true)=0
| Pure virtual method for performing the convergence test. More...
virtual bool | CurrentIsAcceptable ()=0
| Method for testing if the current iterate is considered to satisfy the "accptable level" of accuracy. More...
Constructors/Destructors
| ConvergenceCheck ()
| Constructor. More...
virtual | ~ConvergenceCheck ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| ConvergenceCheck (const ConvergenceCheck &)
| Default Constructor. More...
void | operator= (const ConvergenceCheck &)
| Overloaded Equals Operator. More...

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Base class for checking the algorithm termination criteria.

Definition at line 20 of file IpConvCheck.hpp.

## Member Enumeration Documentation

enum Ipopt::ConvergenceCheck::ConvergenceStatus

Convergence return enum.

Enumerator
CONTINUE |
CONVERGED |
CONVERGED_TO_ACCEPTABLE_POINT |
MAXITER_EXCEEDED |
CPUTIME_EXCEEDED |
DIVERGING |
USER_STOP |
FAILED |

Definition at line 35 of file IpConvCheck.hpp.

## Constructor & Destructor Documentation

Ipopt::ConvergenceCheck::ConvergenceCheck | ( |  | ) |
| inline

Constructor.

Definition at line 26 of file IpConvCheck.hpp.

virtual Ipopt::ConvergenceCheck::~ConvergenceCheck | ( |  | ) |
| inline virtual

Default destructor.

Definition at line 30 of file IpConvCheck.hpp.

Ipopt::ConvergenceCheck::ConvergenceCheck | ( | const ConvergenceCheck & |  | ) |
| private

Default Constructor.

Copy Constructor

## Member Function Documentation

virtual bool Ipopt::ConvergenceCheck::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| pure virtual

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::RestoFilterConvergenceCheck, Ipopt::RestoPenaltyConvergenceCheck, Ipopt::RestoConvergenceCheck, and Ipopt::OptimalityErrorConvergenceCheck.

virtual ConvergenceStatus Ipopt::ConvergenceCheck::CheckConvergence | ( | bool | call_intermediate_callback = `true` | ) |
| pure virtual

Pure virtual method for performing the convergence test.

If call_intermediate_callback is true, the user callback method in the NLP should be called in order to see if the user requests an early termination.

Implemented in Ipopt::RestoConvergenceCheck, and Ipopt::OptimalityErrorConvergenceCheck.

virtual bool Ipopt::ConvergenceCheck::CurrentIsAcceptable | ( |  | ) |
| pure virtual

Method for testing if the current iterate is considered to satisfy the "accptable level" of accuracy.

The idea is that if the desired convergence tolerance cannot be achieved, the algorithm might stop after a number of acceptable points have been encountered.

Implemented in Ipopt::OptimalityErrorConvergenceCheck.

void Ipopt::ConvergenceCheck::operator= | ( | const ConvergenceCheck & |  | ) |
| private

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- src/Algorithm/IpConvCheck.hpp